Bug 131624 - After writing ' is the editor unusable
After writing ' is the editor unusable
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: 6.x
Assigned To: issues@php
issues@php
:
Depends on:
Blocks: 131609
  Show dependency treegraph
 
Reported: 2008-03-31 14:11 UTC by Petr Pisl
Modified: 2008-09-09 19:16 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
The exception (3.91 KB, text/plain)
2008-03-31 14:12 UTC, Petr Pisl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2008-03-31 14:11:43 UTC
When you write in the php code character ' like include (' then you obtain an exception from Lexer and the editor stop
works at all.
Comment 1 Petr Pisl 2008-03-31 14:12:41 UTC
Created attachment 59406 [details]
The exception
Comment 2 Marek Fukala 2008-04-01 20:53:23 UTC
I have fixed the issue in main (revision e1c129392a28). My checkout of 6.1 branch haven't finished yet and I work again
tomorrow evening so I guess it is easier if you port it to the branch. Thanks.
Comment 3 Marek Fukala 2008-04-01 20:55:45 UTC
One more thing - I am not sure what is the state of the flex templates, I just fixed the generated source. I hope I'll
get to the templates later this week so I'll backport all changes from the generated source together.
Comment 4 Petr Pisl 2008-04-02 09:51:37 UTC
I did the fix in the release61 clone as well

changeset:   76859:740490dc02bf


Last week I tried to keep the flex file up to date. Although this change is not there it should be easy in eof part of
definition.
Comment 5 Petr Pisl 2008-04-02 10:32:08 UTC
I did some changes in the skeleton and the coloring flex file. The flex file is not still possible to use for generating
coloring lexer, because there has to be solved another issue. 

Comment 6 Jiri Prox 2008-04-25 13:09:44 UTC
The number of next version is already known -> moving from TM Dev to 6.5
Comment 7 Mikhail Matveev 2008-09-09 19:16:35 UTC
Verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo